## 2.0.0
* [Add] Http.download function
* [Fix] HttpSmartCancel bug
* [Fix] showActionsSheet bug
* [Fix] ConnectivityListener bug
* [Fix] Remove unused import

## 0.13.0
* [Change] Upgrade packages
* [Change] Upgrade kotlin version
* [Change] Upgrade android's compileSdkVersion and minisdkSdkVersion and targetSdkVersion
* [Fix] When Get.isLogEnable is false, the log is still displayed
* [Fix] String.trParams() no longer requires the "!" suffix
* [Fix] Title and Navbar cannot change languages in real-time

## 0.12.2
* [Add] ConnectivityListener
* [Change] Optimize AppLifecycleListener

## 0.12.1
* [Change] The "params" parameter of the anonymous function created by "buildHttpRunner" is allowed to be null

## 0.12.0
* [Add] `AppLifecrcleState` listener support
* [Add] Create a default global message named `eventBus`
* [Change] Remove the `RequestPermission` feature
* [Change] Remove the `permission_handler` plugin

## 0.11.0
* [Add] Expose all interfaces of `dio`
* [Add] Add `queryOne` and `queryMap` methods to DbService
* [Change] The `transaction` method of DbService supports generics
* [Change] Optimize the `exists` method of DbService
* [Change] event_bus.dart move to services folder, and export `package:event_bus/event_bus.dart`
* [Change] Optimize the `buildEntityList` function
* [Change] Remove HttpOptions
* [Change] Replace `HttpLogInterceptor` with dio's `LogInterceptor`
* [Change] Upgrade packages

## 0.10.0
* [Add] DbService adds `close` and `getVersion` methods
* [Add] Add the `HttpSmartCancel` feature
* [Add] Add `LocaleManage` function to simplify `Locales` code
* [Add] Add `ThemeManage` function to simplify `Themes` code
* [Change] Remove the `onLog` parameter of `HttpBaseOptions`
* [Change] The `stackTraceBeginIndex` of `Log` is changed from 2 to 0
* [Change] The `type` parameter of `showActionsSheet` was renamed to `value`, and generic support was added

## 0.9.4
* [Add] HttpRunnerParams adds "query" and "data" parameters

## 0.9.3
* [Add] Add event bus support
* [Change] Simplify http runner build code
* [Change] Adjust the log implementation of db and http

## 0.9.2
* Decode json in background with [compute] function.

## 0.9.1
* Optimizing http library

## 0.9.0
* initRelease
