import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'connectivity_controller.dart';

class ConnectivityPage extends StatelessWidget {
  final _ctrl = Get.put(ConnectivityController());
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Connectivity listener'),
      ),
      body: Container(
        padding: EdgeInsets.all(20),
        child: Obx(
          () => Text('connectivity_page.intro'.trParams(
              {'state': _ctrl.state.value?.toString() ?? 'checking...'})),
        ),
      ),
    );
  }
}
