import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../configs/routes.dart';
import '../components/example_view_widget.dart';

class UtilsExamplePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ExampleViewWidget([
      ExampleViewItem(
        title: 'utils_example_page.eventBus'.tr,
        routeName: Routes.EVENT_BUS,
      ),
      ExampleViewItem(
        title: 'utils_example_page.appLifecycle'.tr,
        routeName: Routes.APP_LIFECYCLE,
      ),
      ExampleViewItem(
        title: 'utils_example_page.connectivity'.tr,
        routeName: Routes.CONNECTIVITY,
      ),
    ]);
  }
}
