import 'package:flutter_waff/flutter_waff.dart';

abstract class DbMigrationCreate {
  static v1(DbService db) async {
    await db.execute('''CREATE TABLE repositories (
  "id" INTEGER NOT NULL,
  "full_name" TEXT,
  "human_name" TEXT,
  PRIMARY KEY ("id")
);''');
  }

  static v2(DbService db) async {
    await db.execute('''CREATE TABLE repositories (
  "id" INTEGER NOT NULL,
  "full_name" TEXT,
  "human_name" TEXT,
  "url" TEXT,
  PRIMARY KEY ("id")
);''');
  }

  static v3(DbService db) async {
    await db.execute('''CREATE TABLE repositories (
  "id" INTEGER NOT NULL,
  "full_name" TEXT,
  "human_name" TEXT,
  "url" TEXT,
  "description" TEXT,
  PRIMARY KEY ("id")
);''');
  }

  static v4(DbService db) async {
    await db.execute('''CREATE TABLE repositories (
  "id" INTEGER NOT NULL,
  "full_name" TEXT,
  "human_name" TEXT,
  "url" TEXT,
  "description" TEXT,
  "owner_name" TEXT,
  PRIMARY KEY ("id")
);''');
  }
}
