import 'package:flutter_waff/flutter_waff.dart';

abstract class DbMigrationUpgrade {
  static v1toV2(DbService db) async {
    await db.execute('ALTER TABLE repositories ADD url TEXT;');
  }

  static v2toV3(DbService db) async {
    await db.execute('ALTER TABLE repositories ADD description TEXT;');
  }

  static v3toV4(DbService db) async {
    await db.execute('ALTER TABLE repositories ADD owner_name TEXT;');
  }
}
