import 'dart:ui';

import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

import '../constants.dart';
import 'locale_ja.dart';
import 'locale_zh_hans.dart';

class Locales extends LocaleManage {
  Locales()
      : super(
          settings: [
            LocaleManageSetting(Locale('ja'), localeJa),
            LocaleManageSetting(Locale('zh', 'CN'), localeZhHans),
          ],
          storage: Get.find<StorageService>(),
          storageKey: StorageKeys.localeName,
        );
}
