import 'dart:async';

import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

class AppLifecycleController extends GetxController {
  StreamSubscription? _stream;

  @override
  void onInit() {
    super.onInit();

    _stream = eventBus.on<AppLifecycleEvent>().listen((event) {
      Log.d(event.state);
    });
  }

  @override
  void onClose() {
    super.onClose();

    _stream?.cancel();
  }
}
