import 'dart:async';

import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

import '../../../services/event_bus_events.dart';

class EventBusController extends GetxController {
  late final StreamSubscription _exampleEventStream;

  final message = ''.obs;

  @override
  void onInit() {
    super.onInit();
    _exampleEventStream = eventBus.on<ExampleEvent>().listen((event) {
      message.value = event.message;
    });
  }

  @override
  void onClose() {
    super.onClose();
    _exampleEventStream.cancel();
  }
}
