import 'package:flutter/material.dart';
import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

import 'refresh_controller.dart';

class RefreshPage extends StatelessWidget {
  final _ctrl = Get.put(RefreshController());

  @override
  Widget build(BuildContext context) {
    // SearchApi.repositories(q: 'flutter');
    return Scaffold(
      appBar: AppBar(
        title: Text('Pull To Refresh Example'),
      ),
      body: Column(
        children: [
          Expanded(
            child: Obx(
              () => PullToRefreshWidget(
                controller: _ctrl,
                child: ListView(
                    children: ListTile.divideTiles(
                  context: context,
                  tiles: _ctrl.repositories.map((e) {
                    return ListTile(
                      title: Text(e.humanName),
                      subtitle: Text(e.description),
                    );
                  }),
                ).toList(growable: false)),
                // child: ListView.builder(
                //   itemCount: _ctrl.repositories.length,
                //   itemBuilder: (context, index) {
                //     return ListTile(
                //       title: Text(_ctrl.repositories[index].humanName),
                //       subtitle: Text(_ctrl.repositories[index].description),
                //     );
                //   },
                // ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
